## org.apache.xml.serializer
Class WriterToASCI

    java.lang.Object
      java.io.Writer
          org.apache.xml.serializer.WriterToASCI

public class WriterToASCI
extends java.io.Writer

This class writes ASCII to a byte stream as quickly as possible. For the moment it does not do buffering, though I reserve the right to do some buffering down the line if I can prove that it will be faster even if the output stream is buffered.

Constructor Summary
`WriterToASCI(java.io.OutputStream os)` Create an unbuffered ASCII writer.

Method Summary
`void` `close()` Close the stream, flushing it first.
`void` `flush()` Flush the stream.
`java.io.OutputStream` `getOutputStream()` Get the output stream where the events will be serialized to.
`void` `write(char[] chars, int start, int length)` Write a portion of an array of characters.
`void` `write(int c)` Write a single character.
`void` `write(java.lang.String s)` Write a string.

Methods inherited from class java.io.Writer
`write, write`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### WriterToASCI

    public WriterToASCI(java.io.OutputStream os)

  Create an unbuffered ASCII writer.

Parameters:
  `os` - The byte stream to write to.

Method Detail

### write

    public void write(char[] chars,
                      int start,
                      int length)
               throws java.io.IOException

  Write a portion of an array of characters.

  Parameters:
    `chars` - Array of characters
    `start` - Offset from which to start writing characters
    `length` - Number of characters to write
  Throws:
    `java.io.IOException` - If an I/O error occurs
    `java.io.IOException`

### write

    public void write(int c)
               throws java.io.IOException

  Write a single character. The character to be written is contained in the 16 low-order bits of the given integer value; the 16 high-order bits are ignored.

  Subclasses that intend to support efficient single-character output should override this method.

  Parameters:
    `c` - int specifying a character to be written.
  Throws:
    `java.io.IOException` - If an I/O error occurs

### write

    public void write(java.lang.String s)
               throws java.io.IOException

  Write a string.

  Throws:
    `java.io.IOException` - If an I/O error occurs

### flush

    public void flush()
               throws java.io.IOException

  Flush the stream. If the stream has saved any characters from the various write() methods in a buffer, write them immediately to their intended destination. Then, if that destination is another character or byte stream, flush it. Thus one flush() invocation will flush all the buffers in a chain of Writers and OutputStreams.

  Throws:
    `java.io.IOException` - If an I/O error occurs

### close

    public void close()
               throws java.io.IOException

  Close the stream, flushing it first. Once a stream has been closed, further write() or flush() invocations will cause an IOException to be thrown. Closing a previously-closed stream, however, has no effect.

  Throws:
    `java.io.IOException` - If an I/O error occurs

### getOutputStream

    public java.io.OutputStream getOutputStream()

  Get the output stream where the events will be serialized to.

  Returns:
    reference to the result stream, or null of only a writer was set.

Copyright © 2004 Apache XML Project. All Rights Reserved.